org.apache.struts2.convention

## Class ConventionConstants

- java.lang.Object
- - org.apache.struts2.convention.ConventionConstants

-     public class ConventionConstants
      extends Object

  Constants used to extend the Convention plugin

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONVENTION_ACTION_ALWAYS_MAP_EXECUTE`
    `static String` | `CONVENTION_ACTION_CHECK_IMPLEMENTS_ACTION`
    `static String` | `CONVENTION_ACTION_CONFIG_BUILDER`
    `static String` | `CONVENTION_ACTION_DISABLE_SCANNING`
    `static String` | `CONVENTION_ACTION_EAGER_LOADING`
    `static String` | `CONVENTION_ACTION_FILE_PROTOCOLS`
    `static String` | `CONVENTION_ACTION_INCLUDE_JARS`
    `static String` | `CONVENTION_ACTION_MAP_ALL_MATCHES`
    `static String` | `CONVENTION_ACTION_NAME_BUILDER`
    `static String` | `CONVENTION_ACTION_NAME_LOWERCASE`
    `static String` | `CONVENTION_ACTION_NAME_SEPARATOR`
    `static String` | `CONVENTION_ACTION_PACKAGES`
    `static String` | `CONVENTION_ACTION_SUFFIX`
    `static String` | `CONVENTION_CLASSES_RELOAD`
    `static String` | `CONVENTION_CONVENTIONS_SERVICE`
    `static String` | `CONVENTION_DEFAULT_PARENT_PACKAGE`
    `static String` | `CONVENTION_ENABLE_SMI_INHERITANCE` Enables the inheritance of the SMI value from a parent package config to its children
    `static String` | `CONVENTION_EXCLUDE_PACKAGES`
    `static String` | `CONVENTION_EXCLUDE_PARENT_CLASS_LOADER`
    `static String` | `CONVENTION_INTERCEPTOR_MAP_BUILDER`
    `static String` | `CONVENTION_PACKAGE_LOCATORS`
    `static String` | `CONVENTION_PACKAGE_LOCATORS_BASE_PACKAGE`
    `static String` | `CONVENTION_PACKAGE_LOCATORS_DISABLE`
    `static String` | `CONVENTION_REDIRECT_TO_SLASH`
    `static String` | `CONVENTION_RELATIVE_RESULT_TYPES`
    `static String` | `CONVENTION_RESULT_FLAT_LAYOUT`
    `static String` | `CONVENTION_RESULT_MAP_BUILDER`
    `static String` | `CONVENTION_RESULT_PATH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConventionConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONVENTION_ACTION_CONFIG_BUILDER

          public static final String CONVENTION_ACTION_CONFIG_BUILDER

      See Also:
        Constant Field Values

    - #### CONVENTION_ACTION_NAME_BUILDER

          public static final String CONVENTION_ACTION_NAME_BUILDER

      See Also:
        Constant Field Values

    - #### CONVENTION_RESULT_MAP_BUILDER

          public static final String CONVENTION_RESULT_MAP_BUILDER

      See Also:
        Constant Field Values

    - #### CONVENTION_INTERCEPTOR_MAP_BUILDER

          public static final String CONVENTION_INTERCEPTOR_MAP_BUILDER

      See Also:
        Constant Field Values

    - #### CONVENTION_CONVENTIONS_SERVICE

          public static final String CONVENTION_CONVENTIONS_SERVICE

      See Also:
        Constant Field Values

    - #### CONVENTION_ACTION_NAME_LOWERCASE

          public static final String CONVENTION_ACTION_NAME_LOWERCASE

      See Also:
        Constant Field Values

    - #### CONVENTION_ACTION_NAME_SEPARATOR

          public static final String CONVENTION_ACTION_NAME_SEPARATOR

      See Also:
        Constant Field Values

    - #### CONVENTION_ACTION_SUFFIX

          public static final String CONVENTION_ACTION_SUFFIX

      See Also:
        Constant Field Values

    - #### CONVENTION_CLASSES_RELOAD

          public static final String CONVENTION_CLASSES_RELOAD

      See Also:
        Constant Field Values

    - #### CONVENTION_RESULT_PATH

          public static final String CONVENTION_RESULT_PATH

      See Also:
        Constant Field Values

    - #### CONVENTION_DEFAULT_PARENT_PACKAGE

          public static final String CONVENTION_DEFAULT_PARENT_PACKAGE

      See Also:
        Constant Field Values

    - #### CONVENTION_REDIRECT_TO_SLASH

          public static final String CONVENTION_REDIRECT_TO_SLASH

      See Also:
        Constant Field Values

    - #### CONVENTION_RELATIVE_RESULT_TYPES

          public static final String CONVENTION_RELATIVE_RESULT_TYPES

      See Also:
        Constant Field Values

    - #### CONVENTION_EXCLUDE_PARENT_CLASS_LOADER

          public static final String CONVENTION_EXCLUDE_PARENT_CLASS_LOADER

      See Also:
        Constant Field Values

    - #### CONVENTION_ACTION_ALWAYS_MAP_EXECUTE

          public static final String CONVENTION_ACTION_ALWAYS_MAP_EXECUTE

      See Also:
        Constant Field Values

    - #### CONVENTION_ACTION_FILE_PROTOCOLS

          public static final String CONVENTION_ACTION_FILE_PROTOCOLS

      See Also:
        Constant Field Values

    - #### CONVENTION_ACTION_DISABLE_SCANNING

          public static final String CONVENTION_ACTION_DISABLE_SCANNING

      See Also:
        Constant Field Values

    - #### CONVENTION_ACTION_INCLUDE_JARS

          public static final String CONVENTION_ACTION_INCLUDE_JARS

      See Also:
        Constant Field Values

    - #### CONVENTION_PACKAGE_LOCATORS_DISABLE

          public static final String CONVENTION_PACKAGE_LOCATORS_DISABLE

      See Also:
        Constant Field Values

    - #### CONVENTION_ACTION_PACKAGES

          public static final String CONVENTION_ACTION_PACKAGES

      See Also:
        Constant Field Values

    - #### CONVENTION_ACTION_CHECK_IMPLEMENTS_ACTION

          public static final String CONVENTION_ACTION_CHECK_IMPLEMENTS_ACTION

      See Also:
        Constant Field Values

    - #### CONVENTION_EXCLUDE_PACKAGES

          public static final String CONVENTION_EXCLUDE_PACKAGES

      See Also:
        Constant Field Values

    - #### CONVENTION_PACKAGE_LOCATORS

          public static final String CONVENTION_PACKAGE_LOCATORS

      See Also:
        Constant Field Values

    - #### CONVENTION_PACKAGE_LOCATORS_BASE_PACKAGE

          public static final String CONVENTION_PACKAGE_LOCATORS_BASE_PACKAGE

      See Also:
        Constant Field Values

    - #### CONVENTION_ACTION_MAP_ALL_MATCHES

          public static final String CONVENTION_ACTION_MAP_ALL_MATCHES

      See Also:
        Constant Field Values

    - #### CONVENTION_ACTION_EAGER_LOADING

          public static final String CONVENTION_ACTION_EAGER_LOADING

      See Also:
        Constant Field Values

    - #### CONVENTION_RESULT_FLAT_LAYOUT

          public static final String CONVENTION_RESULT_FLAT_LAYOUT

      See Also:
        Constant Field Values

    - #### CONVENTION_ENABLE_SMI_INHERITANCE

          public static final String CONVENTION_ENABLE_SMI_INHERITANCE

      Enables the inheritance of the SMI value from a parent package config to its children
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConventionConstants

          public ConventionConstants()

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.